## anjuta-token-list anjuta-token-list |

## Functions

AnjutaTokenStyle * | anjuta_token_style_new ()
AnjutaTokenStyle * | anjuta_token_style_new_from_base ()
void | anjuta_token_style_free ()
void | anjuta_token_style_update ()
void | anjuta_token_style_format ()
AnjutaToken * | anjuta_token_first_word ()
AnjutaToken * | anjuta_token_nth_word ()
AnjutaToken * | anjuta_token_next_word ()
AnjutaToken * | anjuta_token_replace_nth_word ()
AnjutaToken * | anjuta_token_insert_word_before ()
AnjutaToken * | anjuta_token_insert_word_after ()
AnjutaToken * | anjuta_token_remove_word ()
AnjutaToken * | anjuta_token_remove_list ()
AnjutaToken * | anjuta_token_insert_token_list ()
AnjutaToken * | anjuta_token_find_type ()
AnjutaToken * | anjuta_token_skip_comment ()

## Types and Values

| AnjutaTokenStyle

## Description

## Functions

### anjuta_token_style_new ()

    AnjutaTokenStyle *
    anjuta_token_style_new (const gchar *start,
                            const gchar *next,
                            const gchar *eol,
                            const gchar *last,
                            guint max_width);

#### Returns

### anjuta_token_style_new_from_base ()

    AnjutaTokenStyle *
    anjuta_token_style_new_from_base (AnjutaTokenStyle *base);

#### Returns

### anjuta_token_style_free ()

    void
    anjuta_token_style_free (AnjutaTokenStyle *style);

### anjuta_token_style_update ()

    void
    anjuta_token_style_update (AnjutaTokenStyle *style,
                               AnjutaToken *list);

### anjuta_token_style_format ()

    void
    anjuta_token_style_format (AnjutaTokenStyle *style,
                               AnjutaToken *list);

### anjuta_token_first_word ()

    AnjutaToken *
    anjuta_token_first_word (AnjutaToken *list);

Get the first word of the list. A word is an item in the list which is not a space or a separator.

#### Parameters

list | a AnjutaToken object being a list |

#### Returns

A AnjutaToken representing the first word or `NULL`.

### anjuta_token_nth_word ()

    AnjutaToken *
    anjuta_token_nth_word (AnjutaToken *list,
                           guint n);

#### Returns

### anjuta_token_next_word ()

    AnjutaToken *
    anjuta_token_next_word (AnjutaToken *item);

#### Returns

### anjuta_token_replace_nth_word ()

    AnjutaToken *
    anjuta_token_replace_nth_word (AnjutaToken *list,
                                   guint n,
                                   AnjutaToken *item);

#### Returns

### anjuta_token_insert_word_before ()

    AnjutaToken *
    anjuta_token_insert_word_before (AnjutaToken *list,
                                     AnjutaToken *sibling,
                                     AnjutaToken *baby);

#### Returns

### anjuta_token_insert_word_after ()

    AnjutaToken *
    anjuta_token_insert_word_after (AnjutaToken *list,
                                    AnjutaToken *sibling,
                                    AnjutaToken *baby);

#### Returns

### anjuta_token_remove_word ()

    AnjutaToken *
    anjuta_token_remove_word (AnjutaToken *token);

#### Returns

### anjuta_token_remove_list ()

    AnjutaToken *
    anjuta_token_remove_list (AnjutaToken *token);

Remove a complete list of token.

#### Parameters

token | a AnjutaToken corresponding to a list |

#### Returns

A AnjutaToken representing the following token

### anjuta_token_insert_token_list ()

    AnjutaToken *
    anjuta_token_insert_token_list (gboolean after,
                                    AnjutaToken *list,
                                    ...);

#### Returns

### anjuta_token_find_type ()

    AnjutaToken *
    anjuta_token_find_type (AnjutaToken *list,
                            gint flags,
                            AnjutaTokenType *types);

#### Returns

### anjuta_token_skip_comment ()

    AnjutaToken *
    anjuta_token_skip_comment (AnjutaToken *list);

#### Returns

## Types and Values

### AnjutaTokenStyle

    typedef struct _AnjutaTokenStyle AnjutaTokenStyle;